///////////////////////////////////////////////////////////////////////
//
//	MSN Messenger 7.0 に曲名を表示させるクラス
//
//	2005/05/29 ミュー  http://www.nwhite.info/
//
//	使用方法：
//	・Send()にて"曲名 - アーティスト"の形式で表示させます。
//
//	・SendEx()を使うとフォーマット等を指定できます。
//	　フォーマットは、Send()での形式を例にすると
//	　"{0} - {1}"のような文字列です。
//	　{0} : szTitle
//	　{1} : szArtist
//	　{2} : szAlbum
//	　{3} : szWmid
//	　szAppNameは送信元アプリの名前です。
//	　iTunesの場合は「ITunes」で
//	　WMPの場合は空文字だそうです。（なお、Send()では空文字を送信）
//
//	・Clear()は表示させているタイトルをクリアします。
//	　アプリケーションが終了するときは呼んだほうが妥当でしょう。
//
//	・SendString()を使用すると送信する文字列データをフルで指定できます
//
///////////////////////////////////////////////////////////////////////

#ifndef __MsnMusicTitleSender_H__
#define __MsnMusicTitleSender_H__

namespace mwl{

//	クラス宣言
class CMsnMusicTitleSender
{
private:
	HWND m_hMsnUi;

	BOOL FindMsnUI();
	WCHAR* GetAsciiToUnicode( const char* srcString );

public:
	CMsnMusicTitleSender();
	virtual ~CMsnMusicTitleSender();

	BOOL Clear();
	BOOL SendString( const char* szSendString );
	BOOL Send( const char* szTitle, const char* szArtist );
	BOOL SendEx( const char* szAppName, const char* szFormat,
			   const char* szTitle, const char* szArtist,
			   const char* szAlbum="", const char* szWmid="" );
};

}//namespace mwl

#endif//__MsnMusicTitleSender_H__